:root {
    --color-primary: #E3B873;
    --color-primary-10: rgba(227, 184, 115, 0.1);
    --color-primary-15: rgba(227, 184, 115, 0.15);
    --color-primary-20: rgba(227, 184, 115, 0.2);
    --color-primary-30: rgba(227, 184, 115, 0.3);
    --color-primary-50: rgba(227, 184, 115, 0.5);
    --color-white: #FFFFFF;
    --color-white-15: rgba(255, 255, 255, 0.15);
    --color-white-30: rgba(255, 255, 255, 0.3);
    --color-white-50: rgba(255, 255, 255, 0.5);
    --color-darkgray: #363636;
    --color-lightgray: #959595;
    --color-lightergray: #C3C3C3;
    --color-gray-30: rgba(54, 54, 54, 0.3);
    --color-gray-50: rgba(54, 54, 54, 0.5);
    --color-black: #131313;
    --color-black-secondary: #181818;
    --color-black-05: rgba(0, 0, 0, 0.05);
    --color-black-30: rgba(0, 0, 0, 0.3);
    --color-black-70: rgba(0, 0, 0, 0.7);
    --color-black-80: rgba(0, 0, 0, 0.8);
    --color-transparent: transparent;
}

* {
    box-sizing: border-box;
}

html,
body {
    margin: 0;
    padding: 0;
    /* Nunito Sans by default, changed for headings in custom classes */
    font-family: "Nunito Sans", sans-serif;
    font-size: 11px;
}

/* || Global classes */
.section:has(.section__background) {
    position: relative;
}

.section__background {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

.container {
    --container-padding-x: 92px;
    max-width: calc(1440px + var(--container-padding-x));
    height: 100%;
    margin: 0 auto;
    padding: 0 var(--container-padding-x);
}

.bg-black,
.bg-dark {
    color: var(--color-white);
}

.bg-black {
    background-color: var(--color-black)
}

.bg-dark {
    background-color: var(--color-black-70);
}

.button {
    border: none;
    border-radius: 2px;
    color: var(--color-white);
    font-size: 11px;
    text-transform: uppercase;
    cursor: pointer;
    padding: 13px 33px;
    transition: scale 0.1s;
}

.button:hover {
    scale: 1.1;
}

.button:active {
    scale: 1.05;
}

.button_primary {
    background-color: var(--color-primary);
    box-shadow: 0px 5px 15px var(--color-primary-30);
}

.button_italic {
    font-style: italic;
}

.button_outlined {
    background-color: transparent;
    box-shadow: inset 0 0 0 1px var(--color-white);
}

.title {
    font-family: "Yeseva One", serif;
    text-transform: uppercase;
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--color-black-secondary);
}

.title_h1 {
    --font-size: 40px;
    --line-height: 132.8%;
}

.title_h2 {
    --font-size: 27px;
    --line-height: 138.6%;
    font-weight: 400;
}

.title_h3 {
    --font-size: 18px;
    --line-height: 138.6%;
    font-weight: 400;
}

.title_color-primary {
    color: var(--color-primary);
}

.title__highlighted {
    color: var(--color-primary);
}

.lined-icon {
    display: flex;
    align-items: center;
    gap: 7.76px;
}

.lined-icon__line {
    border: none;
    height: 1.54px;
    width: 32px;
    border-radius: 2px;
    background-color: var(--color-primary);
}

.nav-menu {
    display: flex;
    align-items: center;
    gap: 52.09px;
    margin: 0;
    padding: 0;
    list-style-type: none;
    text-transform: uppercase;
}

.nav-menu__link {
    color: var(--color-white);
    text-decoration: none;
    transition: color 0.1s;
}

.nav-menu__link:hover {
    color: var(--color-primary);
}
/* || /Global classes */

/* || Site bar */
.site-bar .container {
    height: 100%;
    display: grid;
    grid-template-columns: auto auto auto;
    align-items: center;
    gap: 0;
}

.site-bar__logo {
    margin-right: 120.21px;
}

.site-bar__nav {
    margin-right: 90.36px;
}

.site-bar__logo {
    color: var(--color-primary);
    text-transform: uppercase;
}

.site-bar__logo,
.site-bar__phone {
    white-space: nowrap;
}

.site-bar__phone {
    display: flex;
    gap: 45px;
    align-items: center;
}

.site-bar__phone-link {
    color: var(--color-primary);
    text-decoration: none;
    border-bottom: 1px solid var(--color-primary-50);
    transition: border-bottom-color 0.1s;
}

.site-bar__phone-link:hover {
    border-bottom-color: var(--color-primary);
}

.site-bar__phone-button {
    height: 37px;
    width: 161px;
}
/* || /Site bar */

/* || Header */
.header {
    height: 83px;
    background: var(--color-black);
}
/* || /Header */

/* || Hero */
.hero {
    height: 707px;
}

.hero .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    --container-padding-x: 134px;
}

.hero__title {
    color: var(--color-white);
    margin: 0;
}

.hero__paragraph {
    font-size: 22px;
    line-height: 163.7%;
    margin-top: 19px;
    margin-bottom: 0;
}

.hero__buttons {
    display: flex;
    gap: 20px;
    margin-top: 41px;
}

.hero__button {
    min-width: 207px;
    height: 51px;
}
/* || /Hero */

/* || Projects */
.projects {
    height: 1074px;
}

.projects .container {
    display: flex;
    gap: 50px;
    padding-top: 107px;
    --container-padding-x: 134.45px;
}

.projects__title {
    /* The zeros are intentional: margin-top is set, and other sides are reset */
    margin: 67.36px 0 0;
    letter-spacing: -7%;
}

.projects__paragraph {
    font-size: 14px;
    line-height: 191%;
    margin: 23px 0 0;
}

.projects__project-info {
    display: grid;
    width: 365px;
    grid-template-columns: repeat(2, max-content);
    column-gap: 64px;
    row-gap: 34px;
    margin-top: 50px;
}

.projects__project-info-title {
    margin: 0;
}

.projects__project-info-value {
    display: block;
    font-size: 13px;
    margin-top: 9px;
}

.projects__slider-pagination {
    display: flex;
    gap: 29.5px;
    margin-top: 87.34px;
}

.projects__slider-dots {
    display: flex;
    gap: 17.54px;
}

.projects__slider-dot {
    width: 10px;
    height: 10px;
    background-color: var(--color-white);
    opacity: 0.3;
    border-radius: 5px;
    cursor: pointer;
}

.projects__slider-dot_active,
.projects__slider-dot:hover {
    opacity: 1;
}

.projects__slider-arrow {
    cursor: pointer;
}

.projects__slider-tabs {
    display: flex;
    gap: 60.5px;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.projects__slider-tab-link {
    font-family: "Yeseva One", serif;
    font-size: 14px;
    color: var(--color-white-30);
    text-transform: uppercase;
    text-decoration: none;
}

.projects__slider-tab_active,
.projects__slider-tab:has(.projects__slider-tab-link:hover) {
    padding-bottom: 6.68px;
    border-bottom: 1px solid var(--color-primary);
}

.projects__slider-tab-link_active,
.projects__slider-tab-link:hover {
    color: var(--color-primary);
}

.projects__slider-image {
    margin-top: 45.36px;
}
/* || /Projects */

/* || Online control */
.online-control {
    height: 959px;
    margin-top: -325px;
}

.online-control .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.online-control__title {
    color: var(--color-white);
    letter-spacing: 1px;
    margin: 0;
    margin-bottom: 12.79px;
}

.online-control__video {
    background-color: var(--color-black-80);
    position: relative;
    margin-top: 31.21px;
}

.online-control__video-image {
    position: relative;
    filter: brightness(0.2);
}

.online-control__video-play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    background-color: var(--color-primary);
    border: none;
    cursor: pointer;
    width: 85px;
    height: 85px;
    border-radius: 100px;
    box-shadow: 0px 5px 30px var(--color-primary-20);
}

.online-control__hr {
    display: block;
    border-width: 1.54px;
    width: 55px;
    border-color: var(--color-primary);
    border-style: solid;
    border-radius: 2px;
    margin-top: 59.5px;
}

.online-control__paragraph {
    font-size: 18px;
    line-height: 204.6%;
    text-align: center;
    color: var(--color-darkgray);
    margin: 0;
    margin-top: 22.6px;
}

.online-control__form {
    margin-top: 84.5px;
    display: flex;
    flex-direction: column;
    gap: 32.24px;
}

.online-control__form-row {
    display: flex;
    gap: 49px;
    justify-content: center;
}

.online-control__form-inputs {
    display: flex;
    gap: 58px;
}

.online-control__form-control {
    display: flex;
    flex-direction: column;
}

.online-control__form-input-label {
    font-size: 13px;
    color: var(--color-gray-50);
}

.online-control__form-input {
    border: none;
    border-bottom: 1px solid var(--color-gray-30);
    font-size: 14px;
    color: var(--color-darkgray);
    width: 231px;
    padding: 0;
    padding-bottom: 8px;
}

.online-control__form-input:focus {
    border-bottom-color: var(--color-primary);
    outline: none;
}

.online-control__form-input:focus::placeholder {
    color: var(--color-gray-50);
    line-height: 163.7%;
}

.online-control__form-input::placeholder {
    color: var(--color-darkgray);
}

.online-control__form-checkbox-label {
    display: flex;
    align-items: center;
    gap: 8.62px;
    cursor: pointer;
    font-size: 14px;
    color: #181818;
}

.online-control__form-submit {
    width: 200px;
    height: 49px;
}

.online-control__form-checkbox {
    display: none;
}

.online-control__form-checkbox-fake::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 1px;
    background-color: var(--color-primary);
    background-image: none;
    background-repeat: no-repeat;
    background-position: center center;
}

.online-control__form-checkbox:checked + .online-control__form-checkbox-fake::before {
    background-image: url(../icons/check.svg);
}
/* || /Online control */

/* || Types of repair */
.types-of-repair {
    height: 706px;
    margin-top: 147.85px;
}

.types-of-repair .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.types-of-repair__title {
    margin: 0;
}

.types-of-repair__icon {
    margin-top: 13px;
}

.types-of-repair__list {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-top: 31px;
}

.types-of-repair__item-title {
    font-family: "Yeseva One", serif;
    font-size: 18px;
}

.types-of-repair__item-description {
    background-color: var(--color-white);
    box-shadow: 10px 10px 20px var(--color-black-30);
    padding: 25px 32px 49px 31px;
    margin-top: -127px;
    margin-left: auto;
    margin-right: auto;
    width: 330px;
    position: relative;
    z-index: 2;
}

.types-of-repair__item-title {
    margin: 0;
}

.types-of-repair__item-properties {
    color: #959595;
    font-size: 13px;
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding-left: 13px;
    margin: 0;
    margin-top: 13px;
}

.types-of-repair__item-price {
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    font-family: "Yeseva One", serif;
    color: var(--color-white);
    font-size: 18px;
    width: 228px;
    height: 54px;
    background-color: var(--color-primary);
    box-shadow: 5px 5px 10px rgba(227, 184, 115, 0.3);
    margin-top: -26px;
    margin-left: 31px;
    position: relative;
    z-index: 3;
}
/* || /Types of repair */

/* || Request */
.request {
    height: 725px;
    margin-top: 94px;
    background-image: url(../images/request/request-steps-bg.png);
    background-repeat: no-repeat;
    background-position-y: -8rem;
    padding-top: 34px;
}

.request .container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* align-items: center; */
}

.request .row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.request__steps-list {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 473.62px;
}

.request__steps-list-item {
    display: flex;
    align-items: center;
    gap: 9px;
    font-size: 14px;
    color: var(--color-darkgray);
}

.request__steps-list-item-marker {
    /* Here I use content-box to make the border appear outside, not inside. */
    box-sizing: content-box;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-primary);
    box-shadow: 0 5px 15px var(--color-primary-15);
    border: 8px solid var(--color-white);
    border-radius: 50%;
    color: white;
    font-family: "Yeseva One";
    font-size: 18px;
    width: 41px;
    height: 41px;
}

.request__form {
    background: var(--color-black);
    color: var(--color-white);
    width: 506px;
    height: 537px;
    padding: 28px 49px 27px 49px;
}

.request__form-title {
    text-align: center;
    font-size: 18px;
    margin-top: 0;
    font-weight: 400;
}

.request__form-controls {
    display: flex;
    flex-direction: column;
    gap: 45px;
    margin-top: 39px;
}

.request__form-control {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.request__form-label {
    color: var(--color-white-50);
    font-size: 13px;
}

.request__form-input {
    appearance: none;
    padding: 0;
    padding-bottom: 11px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid var(--color-white-15);
    color: var(--color-white);
    font-size: 14px;
}

.request__form-input::placeholder {
    color: var(--color-white);
}

.request__form-input:focus {
    outline: none;
    border-bottom-color: var(--color-white);
}

.request__form-checkbox-labelled {
    margin-top: 16px;
}

.request__form-checkbox-label {
    display: flex;
    gap: 8.62px;
    align-items: center;
}

.request__form-checkbox {
    display: none;
}

.request__form-checkbox-fake {
    cursor: pointer;
}

.request__form-checkbox-fake::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 1px;
    background-color: var(--color-primary);
    background-image: none;
    background-repeat: no-repeat;
    background-position: center center;
}

.request__form-checkbox:checked + .request__form-checkbox-fake::before {
    background-image: url(../icons/check.svg);
}

.request__form-checkbox-label {
    cursor: pointer;
    font-size: 14px;
}

.request__form-submit {
    margin-top: 39px;
    float: right;
    width: 213px;
    height: 51px;
    font-size: 13px;
    border-radius: 0;
}

.request__icon-text {
    display: flex;
    align-items: center;
    margin-top: 38.44px;
    margin-left: 32.5px;
    gap: 25px;
}

.request__icon-wrapper {
    width: 72px;
    height: 72px;
    border-radius: 50%;
    background-color: var(--color-primary);
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px 10px 20px rgba(237, 192, 120, 0.2);
}

.request__icon-text-span {
    color: var(--color-primary);
    text-shadow: 0px 3px 10px rgba(227, 184, 115, 0.15);
    font-size: 18px;
}
/* || /Request */

/* || We realize */
.we-realize {
    height: 864px;
    background-image: linear-gradient(109.8deg, rgba(0, 0, 0, 0.75) 0%, rgba(0, 0, 0, 0.9) 100%);
    margin-top: 242px;
}

.we-realize .container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

.we-realize__tabs {
    list-style-type: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 25px;
    margin: 50px 0 0;
}

.we-realize__tab {
    color: var(--color-white);
    font-size: 20px;
    cursor: pointer;
}

.we-realize__tab_active,
.we-realize__tab:hover {
    color: var(--color-primary);
    text-decoration: underline;
    text-underline-offset: 7px;
}

.we-realize__tab_active {
    text-decoration: underline;
    text-underline-offset: 7px;
}

.we-realize__images {
    display: flex;
    justify-content: flex-end;
    gap: 43px;
}

.we-realize__images-right,
.we-realize__images-left {
    display: flex;
    flex-direction: column;
}

.we-realize__images-right {
    gap: 39px;
    margin-top: -40px;
}

.we-realize__images-left {
    gap: 36px;
    margin-top: -112px;
}
/* || /We realize */

/* || Our clients */
.our-clients {
    margin-top: 110px;
}

.our-clients .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.our-clients__title {
    margin: 0;
}

.our-clients__icon {
    margin-top: 13px;
}

.our-clients__paragraph {
    font-size: 18px;
    max-width: 365px;
    text-align: center;
    margin: 24px 0 0;
}

.our-clients__reviews {
    display: flex;
    justify-content: center;
    gap: 54px;
    list-style-type: none;
    margin-top: 39px;
}

.our-clients__review {
    box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.04);
    padding: 24px 31px 67px 20px;
    display: flex;
    flex-direction: column;
    width: 376px;
    height: 428px;
    position: relative;
}

.our-clients__review-person {
    display: flex;
    gap: 23px;
}

.our-clients__review-person-avatar {
    width: 76px;
    height: 76px;
    border-radius: 50%;
}

.our-clients__review-person-name {
    text-transform: none;
    max-width: 178px;
}

.our-clients__review-text {
    font-size: 13px;
    color: var(--color-lightgray);
    line-height: 180%;
    white-space: pre-line;
    overflow-wrap: break-word;
    margin: 0;
}

.our-clients__review-info {
    display: flex;
    gap: 1px;
    position: absolute;
    bottom: calc(-54px / 2);
    /* Cancel out the padding */
    left: 0;
}

.our-clients__review-info-block {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    padding: 11px 17px;
    color: var(--color-white);
    font-family: "Yeseva One", serif;
    font-size: 17px;
    background: var(--color-primary);
    box-shadow: 5px 5px 20px var(--color-primary-50);
    text-transform: uppercase;
    width: 159px;
    height: 54px;
}
/* || /Our clients */

/* || Any questions */
.any-questions {
    --form-height: 445px;
    height: 954px;
    background-image: linear-gradient(180deg, rgb(24, 24, 24) 3.47%, rgba(24, 24, 24, 0.8) 100%);
    margin-top: calc(var(--form-height) / 2 + 132px);
    position: relative;
}

.any-questions .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.any-questions__form-wrapper {
    position: relative;
    width: 100vw;
    max-width: 100%;
}

.any-questions__form-background {
    position: absolute;
    background: url(../images/any-questions/cityflow_background.png);
    background-repeat: repeat-x;
    background-position: center bottom;
    top: -244px;
    left: 0;
    z-index: -3;
    width: 100%;
    height: 100%;
    max-height: 263px;
    overflow: hidden;
}

.any-questions__form {
    background-color: var(--color-black-secondary);
    color: var(--color-white);
    width: 883px;
    height: var(--form-height);
    padding-top: 34px;
    padding-bottom: 34px;
    margin-top: calc(var(--form-height) / -2);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 47px;
}

.any-questions__form-title {
    font-size: 20px;
    color: var(--color-white);
    margin: 0;
}

.any-questions__form-inputs-grid {
    display: grid;
    grid-template-areas:
        "left-area right-area"
        "main      main";
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    gap: 58px 48px;
    width: 516px;
}

.any-questions__form-control:nth-child(1) {
    grid-area: left-area;
}

.any-questions__form-control:nth-child(2) {
    grid-area: right-area;
}

.any-questions__form-control:nth-child(3) {
    grid-area: main;
}

.any-questions__form-control {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.any-questions__form-label {
    color: var(--color-white-50);
}

.any-questions__form-input {
    appearance: none;
    border: none;
    border-bottom: 1px solid var(--color-white-15);
    background-color: var(--color-black-secondary);
    color: var(--color-white);
    width: 100%;
    padding: 0 0 8px;
    font-size: 14px;
}

.any-questions__form-input:focus-visible {
    outline: none;
    border-bottom-color: var(--color-white);
}

.any-questions__form-input::placeholder {
    color: var(--color-white);
}

.any-questions__form-checkbox-label {
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 9px;
}

.any-questions__form-checkbox {
    display: none;
}

.any-questions__form-checkbox-fake::before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 1px;
    background-color: var(--color-primary);
    background-image: none;
    background-repeat: no-repeat;
    background-position: center center;
}

.any-questions__form-checkbox:checked + .any-questions__form-checkbox-fake::before {
    background-image: url(../icons/check.svg);
}

.any-questions__form-submit {
    width: 200px;
    height: 51px;
    border-radius: 0;
    box-shadow: none;
}

.any-questions__address {
    font-family: "Yeseva One", serif;
    font-size: 20px;
    font-style: normal;
    text-transform: uppercase;
    color: var(--color-primary);
    text-align: center;
    margin-top: 52px;
}

.any-questions__socials {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-top: 26px;
}

.any-questions__social {
    width: 28px;
    height: 28px;
    background: var(--color-primary);
    border-radius: 50%;
    padding: 8px 7px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.any-questions__location-map {
    width: 925px;
    height: 465px;
    margin-top: 43px;
}
/* || /Any questions */

/* || Footer */
.footer {
    height: 133px;
    background-color: var(--color-black-secondary);
}
/* || /Footer */